Quantcast

Cellar version bound to Apache Karaf 4.0.8

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Cellar version bound to Apache Karaf 4.0.8

Cristiano Costantini
Hi All,

quick question about Cellar Version:

do you know which version of Cellar is bound to Apache Karaf 4.0.8?
(...and which underlying version of Hazelcast?)

Thanks,
Cristiano
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Cellar version bound to Apache Karaf 4.0.8

jbonofre
Hi Cristiano,

any Cellar 4.0.x version works with any Karaf 4.0.x version.

So Cellar 4.0.3 can work with Karaf 4.0.8 for instance.

Regards
JB

On 01/16/2017 09:51 AM, Cristiano Costantini wrote:

> Hi All,
>
> quick question about Cellar Version:
>
> do you know which version of Cellar is bound to Apache Karaf 4.0.8?
> (...and which underlying version of Hazelcast?)
>
> Thanks,
> Cristiano
>

--
Jean-Baptiste Onofré
[hidden email]
http://blog.nanthrax.net
Talend - http://www.talend.com
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Cellar version bound to Apache Karaf 4.0.8

jbonofre
By the way, I plan a Cellar 4.0.4 release pretty soon with bunch of
improvement and Hazelcast update (and I plan to align with Camel as well).

I also started the Ignite support (for Cellar 4.1.x).

Regards
JB

On 01/16/2017 10:55 AM, Jean-Baptiste Onofré wrote:

> Hi Cristiano,
>
> any Cellar 4.0.x version works with any Karaf 4.0.x version.
>
> So Cellar 4.0.3 can work with Karaf 4.0.8 for instance.
>
> Regards
> JB
>
> On 01/16/2017 09:51 AM, Cristiano Costantini wrote:
>> Hi All,
>>
>> quick question about Cellar Version:
>>
>> do you know which version of Cellar is bound to Apache Karaf 4.0.8?
>> (...and which underlying version of Hazelcast?)
>>
>> Thanks,
>> Cristiano
>>
>

--
Jean-Baptiste Onofré
[hidden email]
http://blog.nanthrax.net
Talend - http://www.talend.com
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Cellar version bound to Apache Karaf 4.0.8

Cristiano Costantini
Ignite?
... mmm ... is it an alternative to Hazelcast?
if yes, do you think it will replace Hazelcast as default IMDG
implementation in Cellar?

Il giorno lun 16 gen 2017 alle ore 10:58 Jean-Baptiste Onofré <
[hidden email]> ha scritto:

> By the way, I plan a Cellar 4.0.4 release pretty soon with bunch of
> improvement and Hazelcast update (and I plan to align with Camel as well).
>
> I also started the Ignite support (for Cellar 4.1.x).
>
> Regards
> JB
>
> On 01/16/2017 10:55 AM, Jean-Baptiste Onofré wrote:
> > Hi Cristiano,
> >
> > any Cellar 4.0.x version works with any Karaf 4.0.x version.
> >
> > So Cellar 4.0.3 can work with Karaf 4.0.8 for instance.
> >
> > Regards
> > JB
> >
> > On 01/16/2017 09:51 AM, Cristiano Costantini wrote:
> >> Hi All,
> >>
> >> quick question about Cellar Version:
> >>
> >> do you know which version of Cellar is bound to Apache Karaf 4.0.8?
> >> (...and which underlying version of Hazelcast?)
> >>
> >> Thanks,
> >> Cristiano
> >>
> >
>
> --
> Jean-Baptiste Onofré
> [hidden email]
> http://blog.nanthrax.net
> Talend - http://www.talend.com
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Cellar version bound to Apache Karaf 4.0.8

jbonofre
Yes it's an alternative to Hazelcast. Cellar hides the internal data grid used via Cellar services. So it's possible to replace Hazelcast with something else (like ignite) and let the user decides the backend he wants.

Regards
JB⁣​

On Jan 16, 2017, 12:09, at 12:09, Cristiano Costantini <[hidden email]> wrote:

>Ignite?
>... mmm ... is it an alternative to Hazelcast?
>if yes, do you think it will replace Hazelcast as default IMDG
>implementation in Cellar?
>
>Il giorno lun 16 gen 2017 alle ore 10:58 Jean-Baptiste Onofré <
>[hidden email]> ha scritto:
>
>> By the way, I plan a Cellar 4.0.4 release pretty soon with bunch of
>> improvement and Hazelcast update (and I plan to align with Camel as
>well).
>>
>> I also started the Ignite support (for Cellar 4.1.x).
>>
>> Regards
>> JB
>>
>> On 01/16/2017 10:55 AM, Jean-Baptiste Onofré wrote:
>> > Hi Cristiano,
>> >
>> > any Cellar 4.0.x version works with any Karaf 4.0.x version.
>> >
>> > So Cellar 4.0.3 can work with Karaf 4.0.8 for instance.
>> >
>> > Regards
>> > JB
>> >
>> > On 01/16/2017 09:51 AM, Cristiano Costantini wrote:
>> >> Hi All,
>> >>
>> >> quick question about Cellar Version:
>> >>
>> >> do you know which version of Cellar is bound to Apache Karaf
>4.0.8?
>> >> (...and which underlying version of Hazelcast?)
>> >>
>> >> Thanks,
>> >> Cristiano
>> >>
>> >
>>
>> --
>> Jean-Baptiste Onofré
>> [hidden email]
>> http://blog.nanthrax.net
>> Talend - http://www.talend.com
>>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Cellar version bound to Apache Karaf 4.0.8

kotoole
Is the plan to support both Hazelcast and Ignite?
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Cellar version bound to Apache Karaf 4.0.8

jbonofre
Yes. There's a Jira about that (and zookeeper as well). Cellar core is a generic API implemented with hazelcast today but that could be implemented with ignite as an alternative. The user will choose the feature he wants.

Regards
JB

On Feb 13, 2017, 15:39, at 15:39, kotoole <[hidden email]> wrote:
>Is the plan to support both Hazelcast and Ignite?
>
>
>
>--
>View this message in context:
>http://karaf.922171.n3.nabble.com/Cellar-version-bound-to-Apache-Karaf-4-0-8-tp4049235p4049551.html
>Sent from the Karaf - Dev mailing list archive at Nabble.com.
Loading...